/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package rjdkolb.testentities;

import java.io.Serializable;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author richard
 */
@Entity
@Table(name = "DATA_ITEM_TYPE")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "DataItemType.findAll", query = "SELECT d FROM DataItemType d"),
    @NamedQuery(name = "DataItemType.findByDataItemType", query = "SELECT d FROM DataItemType d WHERE d.dataItemType = :dataItemType"),
    @NamedQuery(name = "DataItemType.findByDataItemDescription", query = "SELECT d FROM DataItemType d WHERE d.dataItemDescription = :dataItemDescription")})
public class DataItemType implements Serializable {
    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @Column(name = "DATA_ITEM_TYPE", nullable = false, length = 30)
    private String dataItemType;
    @Column(name = "DATA_ITEM_DESCRIPTION", length = 255)
    private String dataItemDescription;

    public DataItemType() {
    }

    public DataItemType(String dataItemType) {
        this.dataItemType = dataItemType;
    }

    public String getDataItemType() {
        return dataItemType;
    }

    public void setDataItemType(String dataItemType) {
        this.dataItemType = dataItemType;
    }

    public String getDataItemDescription() {
        return dataItemDescription;
    }

    public void setDataItemDescription(String dataItemDescription) {
        this.dataItemDescription = dataItemDescription;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (dataItemType != null ? dataItemType.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof DataItemType)) {
            return false;
        }
        DataItemType other = (DataItemType) object;
        if ((this.dataItemType == null && other.dataItemType != null) || (this.dataItemType != null && !this.dataItemType.equals(other.dataItemType))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "za.co.enerweb.test.testentities.DataItemType[ dataItemType=" + dataItemType + " ]";
    }

}
