/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package rjdkolb.testentities;

import java.io.Serializable;
import java.util.Collection;
import javax.persistence.Basic;
import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.OneToMany;
import javax.persistence.Table;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlTransient;

/**
 *
 * @author richard
 */
@Entity
@Table(name = "DATA_TYPE")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "DataType.findAll", query = "SELECT d FROM DataType d"),
    @NamedQuery(name = "DataType.findByDataTypeCode", query = "SELECT d FROM DataType d WHERE d.dataTypeCode = :dataTypeCode"),
    @NamedQuery(name = "DataType.findByShortDescription", query = "SELECT d FROM DataType d WHERE d.shortDescription = :shortDescription"),
    @NamedQuery(name = "DataType.findByLongDescription", query = "SELECT d FROM DataType d WHERE d.longDescription = :longDescription")})
public class DataType implements Serializable {
    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @Column(name = "DATA_TYPE_CODE", nullable = false, length = 16)
    private String dataTypeCode;
    @Column(name = "SHORT_DESCRIPTION", length = 255)
    private String shortDescription;
    @Column(name = "LONG_DESCRIPTION", length = 4000)
    private String longDescription;
    @OneToMany(cascade = CascadeType.ALL, mappedBy = "dataType")
    private Collection<DataTypeDefinition> dataTypeDefinitionCollection;

    public DataType() {
    }

    public DataType(String dataTypeCode) {
        this.dataTypeCode = dataTypeCode;
    }

    public String getDataTypeCode() {
        return dataTypeCode;
    }

    public void setDataTypeCode(String dataTypeCode) {
        this.dataTypeCode = dataTypeCode;
    }

    public String getShortDescription() {
        return shortDescription;
    }

    public void setShortDescription(String shortDescription) {
        this.shortDescription = shortDescription;
    }

    public String getLongDescription() {
        return longDescription;
    }

    public void setLongDescription(String longDescription) {
        this.longDescription = longDescription;
    }

    @XmlTransient
    public Collection<DataTypeDefinition> getDataTypeDefinitionCollection() {
        return dataTypeDefinitionCollection;
    }

    public void setDataTypeDefinitionCollection(Collection<DataTypeDefinition> dataTypeDefinitionCollection) {
        this.dataTypeDefinitionCollection = dataTypeDefinitionCollection;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (dataTypeCode != null ? dataTypeCode.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof DataType)) {
            return false;
        }
        DataType other = (DataType) object;
        if ((this.dataTypeCode == null && other.dataTypeCode != null) || (this.dataTypeCode != null && !this.dataTypeCode.equals(other.dataTypeCode))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "za.co.enerweb.test.testentities.DataType[ dataTypeCode=" + dataTypeCode + " ]";
    }

}
