/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package rjdkolb.testentities;

import java.io.Serializable;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Embeddable;

/**
 *
 * @author richard
 */
@Embeddable
public class DataTypeDefinitionPK implements Serializable {
    @Basic(optional = false)
    @Column(name = "DATA_TYPE_CODE", nullable = false, length = 16)
    private String dataTypeCode;
    @Basic(optional = false)
    @Column(name = "COL_NUM", nullable = false)
    private int colNum;

    public DataTypeDefinitionPK() {
    }

    public DataTypeDefinitionPK(String dataTypeCode, int colNum) {
        this.dataTypeCode = dataTypeCode;
        this.colNum = colNum;
    }

    public String getDataTypeCode() {
        return dataTypeCode;
    }

    public void setDataTypeCode(String dataTypeCode) {
        this.dataTypeCode = dataTypeCode;
    }

    public int getColNum() {
        return colNum;
    }

    public void setColNum(int colNum) {
        this.colNum = colNum;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (dataTypeCode != null ? dataTypeCode.hashCode() : 0);
        hash += (int) colNum;
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof DataTypeDefinitionPK)) {
            return false;
        }
        DataTypeDefinitionPK other = (DataTypeDefinitionPK) object;
        if ((this.dataTypeCode == null && other.dataTypeCode != null) || (this.dataTypeCode != null && !this.dataTypeCode.equals(other.dataTypeCode))) {
            return false;
        }
        if (this.colNum != other.colNum) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "za.co.enerweb.test.testentities.DataTypeDefinitionPK[ dataTypeCode=" + dataTypeCode + ", colNum=" + colNum + " ]";
    }

}
